const setPublishedAt = video =>
  Object.assign(video, {
    publishedAt: video.originallyPublishedAt || video.publishedAt,
  });

export async function register ({
  registerClientRoute,
  registerHook,
  registerSetting,
  peertubeHelpers
}) {
  /**
   * TODO: Migrate to server side (to reflect in all clients)
   * https://github.com/Chocobozzz/PeerTube/issues/4775
   */

  registerHook({
    target: 'filter:api.video-watch.video-playlist-elements.get.result',
    handler: result => ({
      ...result,
      data: result.data.map(elem => ({
        ...elem,
        video: setPublishedAt(elem.video)
      }))
    })
  });
}
